LINUX.ORG.RU

Релиз легковесного просмотрщика изображений NeonView 0.8.2

 , ,


4

0

NeonView является простым, минималистическим и легким просмотрщиком изображений для платформы Linux, написан он на С и GTK, является полностью бесплатным и с открытым исходным кодом. Разработан командой TuxArena.

Возможности данного плеера:

  • Поддержка большого количества форматов изображений, включая JPG, PNG, SVG, GIF или TGA.
  • Простой и понятный интерфейс.
  • Опция: показать / скрыть панель инструментов, строку статуса, левую и правую панели .
  • Функция увеличения/уменьшения изображений
  • Функции поворота изображений вправо/влево, переворота изображений.
  • Использование горячих клавиш.
  • Функция запоминания размера окна в сеансе пользователя.
  • Есть возможность ручной настройки (конфигурационный файл находится $HOME/.neonview/neonview.cfg).

Основным фиксом данной версии является:

  • Исправлена ошибка сегментации при отсутствии изображения в текущей директории.

Список изменений

Скриншот

>>> Источник

Ответ на: комментарий от petrosha

А можно примеров?

Поиск по багтрекеру вам в руки. У меня такое было минимум дважды, но встречал жалобы на большее количество случаев.

Единственные два приложения, которые иногда крашатся это Либраофис на особенно заковыристых докХ и Циннамон, когда у него портится настроение.

Вы не поняли. Вот стоит у вас, скажем, GTK 3.2 с темой с гномолука. Потом вы обновляетесь до GTK 3.3 и у вас ВСЕ приложения на GTK3 перестают запускаться. Вот такое говно это GTK3.

Axon ★★★★★ ()
Ответ на: комментарий от petrosha

Например, что чем больше использовать 3 тем быстрее вылечат глюки.

Святая наивность.

Axon ★★★★★ ()
Ответ на: комментарий от petrosha

Почему не сделать тоже самое с ГТК3?

Чтобы сущности не плодить.

anonymous ()
Ответ на: комментарий от petrosha

Из того чем я пользуюсь более менее постоянно на гтк3: Немо, трансмишшин, лиса и громоптица, шаттер, аудасиоус, инкскэйп, циннамоновская смотрелка картинок, евинц, стардикт, джини, галкулятор, гимп, dc++ клиент с гтк мордой.

Как минимум, из этого списка лиса, инкскэйп и гимп не используют gtk3 вообще. (По крайней мере, официальные пакеты в дистрибутиве.) Не надо обманывать.

Галкулятор я выкинул, трансмишшин и аудасиоус использую в gtk2 варианте. Остальное мне не актуально.

anonymous ()
Ответ на: комментарий от petrosha

Например, что чем больше использовать 3 тем быстрее вылечат глюки.

Я в бетатестеры не нанимался, мне работу работать надо.

Ладно бы это был софт, который действительно полезен. Например, если появится какой-нибудь «суперкрутой форк гимпа, который по фичам бьёт любые фотошопы» - я первый побегу тестировать и репортить баги.

А менять шило на мыло, это без меня.

anonymous ()
Ответ на: комментарий от Axon

Поиск по багтрекеру вам в руки.

Ну это вы заявляли, что прямо «ой ой ппц как все плохо»... а теперь оказывается что всего дважды.

Потом вы обновляетесь до GTK 3.3 и у вас ВСЕ приложения на GTK3 перестают запускаться. Вот такое говно это GTK3.

Не подтверждаю. На работе обновлял гтк много раз и ничего не упало... как же так.

petrosha ★★★★★ ()
Ответ на: комментарий от anonymous

Чтобы сущности не плодить.

это палка о двух концах.

petrosha ★★★★★ ()
Ответ на: комментарий от anonymous

Как минимум, из этого списка лиса, инкскэйп и гимп не используют gtk3 вообще

да я хотел написать про гтк просто, да тройку по инерции нажал...

Остальное мне не актуально.

Эта информация так ценна... погодите на бумажку запишу. :)

petrosha ★★★★★ ()
Ответ на: комментарий от anonymous

Я в бетатестеры не нанимался, мне работу работать надо.

«На винфак!..» (с) а вернее на макфак... :)) очередной работающий

petrosha ★★★★★ ()
Ответ на: комментарий от petrosha

Ну это вы заявляли, что прямо «ой ой ппц как все плохо»... а теперь оказывается что всего дважды.

У меня два раза обновилось GTK с такими спецэффектами, дальше терпеть не стал. О том, что было до и после этого знаю только по наслышке. И, да, ЦЕЛЫХ два раза.

Не подтверждаю. На работе обновлял гтк много раз и ничего не упало... как же так.

Скорее всего, адвайта или какое-то её производное.

Axon ★★★★★ ()
Ответ на: комментарий от petrosha

это палка о двух концах.

А вот фиг. Без софта на GTK3 на данный момент можно обойтись вообще не напрягаясь и ни в чём себе не отказывая. Без софта на GTK2 нельзя обойтись вообще никак.

Axon ★★★★★ ()
Ответ на: комментарий от petrosha

очередной работающий

Очередной пятизвёздочный поедатель мамких борщей?

anonymous ()
Ответ на: комментарий от Axon

Скорее всего, адвайта или какое-то её производное.

Бес понятия. Настроил и забыл.

petrosha ★★★★★ ()
Ответ на: комментарий от Axon

Без софта на GTK3 на данный момент можно обойтись вообще не напрягаясь и ни в чём себе не отказывая. Без софта на GTK2 нельзя обойтись вообще никак.

Ну типа да, ГИМП все еще на втором. Но вроде уже вот-вот.

petrosha ★★★★★ ()
Ответ на: комментарий от anonymous

Очередной пятизвёздочный

Достаточно звездочный, чтобы слышать этих страдающих о работе уже лет 15 :))

petrosha ★★★★★ ()
Ответ на: комментарий от petrosha

Бес понятия. Настроил и забыл.

Вот практически ни с одной другой темой такое невозможно.

Ну типа да, ГИМП все еще на втором.

:: clipit: требует gtk2
:: firefox: требует gtk2
:: flashplugin: требует gtk2
:: geany: требует gtk2
:: geeqie: требует gtk2
:: gmrun: требует gtk2
:: google-talkplugin: требует gtk2
:: libsmfm-gtk2-git: требует gtk2
:: sbxkb: требует gtk2
:: thunderbird: требует gtk2
:: xsane: требует gtk2

Это из того, что стоит у меня и не имеет GTK3-альтернатив.

Axon ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.